net.corda.flows

## Class TwoPartyDealFlow.DealMismatchException

- Enclosing class:
    TwoPartyDealFlow

      public static class TwoPartyDealFlow.DealMismatchException

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DealMismatchException(ContractState expectedDeal, ContractState actualDeal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractState` | `getActualDeal()`
    `ContractState` | `getExpectedDeal()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### DealMismatchException

          public DealMismatchException(ContractState expectedDeal,
                                       ContractState actualDeal)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getExpectedDeal

          public ContractState getExpectedDeal()

    - #### getActualDeal

          public ContractState getActualDeal()